> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.privategpt.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.privategpt.dev/_mcp/server.

# List Skills

GET /v1/skills

List skills for a collection with cursor pagination.

Reference: https://docs.privategpt.dev/api-reference/skills/list-skills-v-1-skills-get

## Request

### Query parameters

- `collection` (string, required)
- `limit` (integer, optional, default: 20)
- `page` (string, optional, nullable)

### Headers

- `anthropic-beta` (list of string, optional, nullable)

## Response

### 200

Paginated list of skills.

- `has_more` (boolean, required) — Whether there is a next page.
- `data` (list of SkillResponse, optional) — Skills page data.
- `next_page` (string, optional, nullable) — Token for next page.

## Errors

### 401 Unauthorized Error

Unauthorized

- `any`

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional) — detail field.

## Types

### SkillResponse

Serialized skill object returned by skills endpoints.

- `id` (string, required) — Unique skill identifier.
- `created_at` (datetime, required) — Creation timestamp.
- `display_title` (string, required) — Human display title.
- `source` (enum, required) — Source of the skill.
  - Allowed values: `custom`, `anthropic`, `zylon`
- `updated_at` (datetime, required) — Update timestamp.
- `collection` (string, required) — Tenant identifier (org_id boundary).
- `loading` (enum, required) — Instruction loading strategy.
  - Allowed values: `eager`, `lazy`
- `readonly` (boolean, required) — Readonly flag.
- `latest_version` (string, optional, nullable) — Latest version token for this skill.
- `type` ("skill", optional, default: skill) — Object type.

### ValidationError

ValidationError schema.

- `loc` (list of ValidationErrorLocItems, required) — loc field.
- `msg` (string, required) — msg field.
- `type` (string, required) — type field.
- `input` (any, optional) — input field.
- `ctx` (ValidationErrorCtx, optional) — ctx field.

### ValidationErrorLocItems

### ValidationErrorCtx

ctx field.

## Examples

**Response**

```json
{
  "has_more": false,
  "data": [
    {
      "id": "skill_01HZX8N83J4WQ2E4K4G3Q2H9E8",
      "created_at": "2026-04-16T10:30:00Z",
      "display_title": "Sales Ops Helper",
      "source": "custom",
      "updated_at": "2026-04-16T12:00:00Z",
      "collection": "acme-prod",
      "loading": "lazy",
      "readonly": false,
      "latest_version": "v3",
      "type": "skill"
    }
  ]
}
```

**SDK Code**

```python First page of skills
import requests

url = "https://api.example.com/v1/skills"

querystring = {"collection":"collection"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript First page of skills
const url = 'https://api.example.com/v1/skills?collection=collection';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go First page of skills
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/v1/skills?collection=collection"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby First page of skills
require 'uri'
require 'net/http'

url = URI("https://api.example.com/v1/skills?collection=collection")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java First page of skills
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/v1/skills?collection=collection")
  .asString();
```

```php First page of skills
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/v1/skills?collection=collection');

echo $response->getBody();
```

```csharp First page of skills
using RestSharp;

var client = new RestClient("https://api.example.com/v1/skills?collection=collection");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift First page of skills
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/v1/skills?collection=collection")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```